> ## Documentation Index
> Fetch the complete documentation index at: https://hevninc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Pre-approve a bank rail

> Read-only KYC info for the rail. Does not mutate Bank rows.



## OpenAPI

````yaml /openapi.json post /api/v1/bank/{rail}/pre-approve
openapi: 3.1.0
info:
  title: HEVN API
  description: Backend API for HEVN mobile neobank
  version: 0.1.2
servers:
  - url: https://api.hevn.finance
    description: Production
security: []
paths:
  /api/v1/bank/{rail}/pre-approve:
    post:
      tags:
        - Banks
        - banks
      summary: Pre-approve a bank rail
      description: Read-only KYC info for the rail. Does not mutate Bank rows.
      operationId: pre_approve_bank_api_v1_bank__rail__pre_approve_post
      parameters:
        - name: rail
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/BankRail'
        - name: x-api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BankPreApproveResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    BankRail:
      type: string
      enum:
        - uaefts_named-zand
        - ach_pooled-hsbc
        - ach_named-citi
        - ach_named-jpmorgan_chase
        - ach_named-cfsb
        - fedwire_pooled-hsbc
        - fedwire_pooled-jpmorgan_chase
        - fedwire_pooled-cfsb
        - fedwire_named-hsbc
        - fedwire_named-citi
        - fedwire_named-jpmorgan_chase
        - fedwire_named-cfsb
        - sepa_pooled-zen
        - sepa_named-zen
        - swift_pooled-hsbc
        - swift_named-hsbc
      title: BankRail
      description: 'Bank account route: provider rail + bank id (`{rail}-{bank}`).'
    BankPreApproveResponse:
      properties:
        kycUrl:
          anyOf:
            - type: string
            - type: 'null'
          title: Kycurl
        kycStatus:
          $ref: '#/components/schemas/KycStatus'
          default: not_started
        requirePhoneNumber:
          type: boolean
          title: Requirephonenumber
          default: false
        requireAddress:
          type: boolean
          title: Requireaddress
          default: false
        requireKyb:
          type: boolean
          title: Requirekyb
          default: false
      type: object
      title: BankPreApproveResponse
      description: Read-only KYC info for a rail. Does not mutate Bank rows.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    KycStatus:
      type: string
      enum:
        - not_started
        - requested
        - incorporating
        - pending
        - under_review
        - in_review
        - approved
        - rejected
      title: KycStatus
      description: KYC verification status.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer
      x-default: Bearer <token>

````